/******************************************************************************
 * GViD Source Code Editor
 * Copyright (C) 2002  Alan Oursland
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Alan Oursland
 * alan@oursland.net
 *****************************************************************************/
package gvid.ui;

import gvid.command.*;

public class MainViewCommandsImpl 
	implements gvid.command.ViewCommands {
	MainFrame m_mainFrame = null;
		
	public MainViewCommandsImpl(MainFrame frame) {
        m_mainFrame = frame;  
    }
	
	public int getCommandGroup() {
		return VIEWGROUP;
	}	
	
	public boolean isAvailable( int cmd ) {
		boolean rc = false;
		
		// TODO: Implement isAvailable
		rc = true;
		
		return rc;
	}
	
	public void executeCommand(int cmd) {
		switch( cmd ) {
			case TOGGLEPROJECTVIEW: {
				toggleProjectView();
			} break;
		}
	}
    public void toggleProjectView() {
    	m_mainFrame.showProjectWindow(!m_mainFrame.isProjectWindowShowing());
    }

}