/******************************************************************************
 * GViD Source Code Editor
 * Copyright (C) 2002  Alan Oursland
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Alan Oursland
 * alan@oursland.net
 *****************************************************************************/
package gvid.util;

import java.awt.*;

public class GridBagConstraintsD extends java.awt.GridBagConstraints{
    public GridBagConstraintsD(int aGridX,
        int aGridY,
        int aGridWidth,
        int aGridHeight,
        double aWeightX,
        double aWeightY,
        int anAnchor,
        int aFill,
        java.awt.Insets anInset,
        int anIpadX,
        int anIpadY) {
        
        gridx = aGridX;
        gridy = aGridY;
        gridwidth = aGridWidth;
        gridheight = aGridHeight;
        weightx = aWeightX;
        weighty = aWeightY;
        anchor = anAnchor;
        fill = aFill;
        insets = anInset;
        ipadx = anIpadX;
        ipady = anIpadY;
        
    }
}