/******************************************************************************
 * GViD Source Code Editor
 * Copyright (C) 2002  Alan Oursland
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Alan Oursland
 * alan@oursland.net
 *****************************************************************************/
package gvid.ui.splitscrollpane;

public interface SplitScrollPaneConstants
{
    final static String NW_VIEW = "NWView";
    final static String NE_VIEW = "NEView";
    final static String SW_VIEW = "SWView";
    final static String SE_VIEW = "SEView";
    
    final static String N_VIEW = "NView";
    final static String S_VIEW = "SView";
    
    final static String E_VIEW = "EView";
    final static String W_VIEW = "WView";
    
    final static String MAIN_VIEW = "MainView";
    
    final static String N_VSCROLLBAR = "NVScrollbar";
    final static String S_VSCROLLBAR = "SVScrollbar";
    final static String MAIN_VSCROLLBAR = "MainVScrollbar";
    
    final static String E_HSCROLLBAR = "EHScrollbar";
    final static String W_HSCROLLBAR = "WHScrollbar";
    final static String MAIN_HSCROLLBAR = "MainHScrollbar";
    
    final static String VSPLIT = "VSplit";
    final static String HSPLIT = "HSplit";
}